Hey AO. I'm at a loss here. I am having a time getting Nikto configured to scan HTTPS. I have the latest version of OpenSSL, libnet, Nikto, ... I can't seem to get it to recognize the Net::SSLeay module. I think I just don't know what I am doing. I downloaded the module and put it in my Perl directory, but it says that it can't load it. The command I execute is:

perl -MNet::SSLeay ./nikto.pl -h xxx.xxx.xxx.xxx -allcgi
and I get this error:

Can't locate auto/Net/SSLeay/autosplit.ix in @INC (@INC contains: /usr/lib/perl5/5.6.0/i386-linux /usr/lib/perl5/5.6.0 /usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/5.6.0/AutoLoader.pm line 133. 
at /usr/lib/perl5/5.6.0/Net/SSLeay.pm line 56 
Can't locate loadable object for module Net::SSLeay in @INC (@INC contains: /usr/lib/perl5/5.6.0/i386-linux /usr/lib/perl5/5.6.0 /usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl .) at ./nikto.pl line 0 
Compilation failed in require. 
BEGIN failed--compilation aborted.

I made sure that the files were in the path mentioned. I can't seem to find anything half way decent to help explain configuration of this tool for scanning HTTPS. Any help would be appreciated gang.

Thanks in advance.